simplesmartptr.h File Reference

Header file that defines SimpleSmartPointer and ReferenceCount. More...

`#include "zipios++/zipios-config.h"`
Include dependency graph for simplesmartptr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::SimpleSmartPointer< Type >
| SimpleSmartPointer is a simple reference counting smart pointer template. More...
class | zipios::ReferenceCount< Type >
| ReferenceCount is useful to ensure proper handling of the reference count for (objects of) classes handled through a SimpleSmartPointer. More...

## Detailed Description

Header file that defines SimpleSmartPointer and ReferenceCount.

Definition in file simplesmartptr.h.